import request from "/@/utils/request"

/**
 * 根据分页查询参数获取申诉列表数据。
 * @param {Object} [query] - 查询参数。
 * @returns {Promise} 请求的 Promise 分页对象。
 */
export function fetchList(query?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/page',
    method: 'get',
    params: query
  })
}

/**
 * 根据查询参数获取申诉详情。
 * @param {Object} [obj] - 查询参数，包含 id。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function getObj(obj?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/detail',
    method: 'get',
    params: obj
  })
}

/**
 * 审核申诉
 * @param {Object} [obj] - 审核数据，包含 id、appealStatus、appealReply 等。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function auditAppeal(obj?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/audit',
    method: 'post',
    data: obj
  })
}

/**
 * 根据 ID 删除申诉记录。
 * @param {Object} [ids] - 要删除的对象 ID 数组。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function delObjs(ids?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/delete',
    method: 'post',
    data: ids
  })
}

/**
 * 新增申诉（关联考核记录）
 * @param {Object} [obj] - 申诉数据
 * @returns {Promise} 请求的 Promise 对象。
 */
export function addAppeal(obj?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/addAppeal',
    method: 'post',
    data: obj
  })
}

/**
 * 修改申诉
 * @param {Object} [obj] - 申诉数据
 * @returns {Promise} 请求的 Promise 对象。
 */
export function editObj(obj?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/edit',
    method: 'post',
    data: obj
  })
}

/**
 * 审批申诉
 * @param {Object} [obj] - 申诉数据
 * @returns {Promise} 请求的 Promise 对象。
 */
export function editAppealStatus(obj?: Object) {
  return request({
    url: '/stuwork/classmasterevaluationappeal/editAppealStatus',
    method: 'post',
    data: obj
  })
}

